Robotics Systems Commons - Tasks #1452
Check, if we can code the abi-version in the library name, instead of library extension
03/14/2013 02:35 PM - Anonymous

Status: Resolved Start date: 03/14/2013
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: cmake Estimated time: 0.00 hour
Target version: rsb-0.9

Description

Check, if we can code the abi-version in the library name, instead of library externsion. This would allow linking with -l even in parallel
installations.

Associated revisions

Revision 506d590c - 05/17/2013 07:04 PM - Arne Nordmann

Encode rsc version into library name by default
- Library name is now rsc0.9 instead of rsc by default
- Encoding of rsc version in the library names, install pathes and pkgconfig file can be disabled via cmake user config flag ENCODE_VERSION
- Both setups tested via automated pkgconfig test and downstream builds

fixes #1498

fixes #1452

History

#1 - 05/17/2013 07:09 PM - Anonymous
- Status changed from Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset rsclcommit:506d590ce1ddc637a3a260bd978b1515adb3c54d.

#2 - 11/26/2013 01:13 PM - J. Moringen
- Subject changed from Check, if we can code the abi-version in the library name, instead of library externsion to Check, if we can code the abi-version
in the library name, instead of library extension
